Jump to content

All Activity

This stream auto-updates     

  1. Past hour
  2. Very clear! Thank you! It makes so much more sense now. I suspected I was in the right track but needed this confirmation. Thank you very much!
  3. itacad

    scale text in dynamic blocks

    Hi, I did it! with a stroke of luck I found an example that looked like my problem! I have not yet understood correctly, I have to study why, but I solved it by changing the properties of the attributes ... I attach the image and block. Regards! example dynamic block scale text 2.dwg
  4. SLW210

    DWG slow save after a little

    Like I stated, no slow saves on my computer with AutoCAD 2018 (that's even with me remoted into the computer at work), so I would say that it is an AutoCAD Mechanical issue and/or an issue with your computer, possibly some settings. I used to avoid using any Mechanical specific things unless needed, way back when I used Mechanical, though I don't recall any problems, but it has been a while.
  5. Terry Cadd

    Where can I find free AutoLISP routines?

    The website http://web2.airmail.net/terrycad that hosted AutoLISP Exchange and Getting Started with DCL Dialogs has been moved to the new domain https://autolisp-exchange.com . All programs and files are free to download and share. Just click on a button to view the program, then right-click and choose saveas.
  6. Terry Cadd

    Possible to Make a DCL That Looks Like This?

    The website http://web2.airmail.net/terrycad that hosted AutoLISP Exchange, Dcl_Tiles and Getting Started with DCL Dialogs has been moved to the new domain https://autolisp-exchange.com . All programs and files are free to download and share. Just click on a button to view the program, then right-click and choose saveas.
  7. Today
  8. ojacomarket

    POLYLINE between CENTER of CIRCLES

    I actually have the example of code, since I'm not so good at LISP, so I study yet, I don't know such complicated LISPs, I used simple ones and I got result, but not what I expected, for some reason the "PLINE" command applies only to my last two circles ENDPOINT and STARTPOINT, but as seen from code it supposed to connect all 10 circles with single PLINE. I also pinned the result of that code..as .png Code: (defun c:PLtrace () (setq list1 '()) ;create just list (setq circleset1 (ssget "x" '((0 . "CIRCLE") (8 . "mootmpunkt")))) ;select all circles (they should be 10) (setq circleset1length1 (sslength circleset1)) ; (checkin' how many circles in there (setq circlenum1 (- 1 )) ;variable for loop (repeat circleset1length1 ;loop on selection set (setq circlenum1 (1+ circlenum1)) ;new value of variable (setq circlenames (entget (ssname circleset1 circlenum1))) ;get names of variable of set (setq circlecoords1 (cdr (assoc 10 circlenames))) ;taking coordinates of centers of the circles (setq list1 (append list1 (list circlecoords1))) ; making list with those coordinates ) ;end repeat1 (setq pl_com1 (- 1)) ;new variable for new loop (setq pl_length1 (length list1)) ;length of list of coordinates list1 (repeat pl_length1 ;new loop (setq pl_com1 (+ 1 pl_com1)) ;new value for variable inside loop, start point of PLINE (setq pl_com3 (+ 1 pl_com1)) ;new value for variable ENDPOINT of PLINE (setq nomer_1 (nth pl_com1 list1)) ;taking out first element of list1, which is start point of pline (setq nomer_2 (nth pl_com3 list1));taking out first element of list1, which is end point of pline (command "PLINE" nomer_1 nomer_2) ; command pline which should take nomer1 nomer2 values to make pline ) ; end repeat2 (princ) ) ;end defun
  9. 110% on Fusion 360. It makes you pick a surface to draw on so that you know exactly where you are and it does that by highlighting the surfaces you hover over untill you pick the correct one. Yes it does have a bit of a learning curve but once you have the basics it is so much easier than plain AutoCAD.
  10. I can tell you, from my own experience using lots of different 3D programs, that Autocad is one of the more difficult programs to use. And older versions are even more difficult than newer versions. But even after you become proficient with it, it's still cumbersome and difficult to work with. I know we keep talking about Fusion 360, but it is a more modern 3D program, and once you get familiar with it, you'll be able to fly through projects like this with ease.
  11. ojacomarket

    POLYLINE between CENTER of CIRCLES

    Thank you for reply, The thing is, that those "H" and "H1" are always on the same position relative to circles (let's assume it is 5 m to X and 5 m to Y). And finding circles with ssget is also OK. But for now I want just to CAD recognize the "TEXT" nearby circle and draw line between circles, which are marked with same text, so after I can figure out how to put them in the SAME layer and join those line into poly. In addition, it is no problem which direction CAD will construct lines, since the point is to recognize TEXT nearby and use this constant, which I mentioned above to put line into center of circle, I rather would say the circles don't need in that case, the main object is TEXT. With best regards, test.dwg
  12. Yes I have orbit but if confuses me. I've looked at an object before and could have sworn it was backwards from the way I knew it was. still tinkering (looking on the web) about the UCS to find out what I done wrong and how to fix it. I keep trying to do one thing and then something else goes wrong in the drawing. I knew there was a reason why I didn't get into 3D.
  13. I'm pretty sure 2007 can do the split screen. In Model Space, if you type VIEWPORTS, that should open a dialog that will allow you to split your screen into 2, 3 or 4 viewports.
  14. And don't use isometric views, they can be very misleading as you see. Does 2007 have the orbit tool? or at the very least use a split screen with 3 or 4 viewports looking from different views
  15. Autocad places dimensions in the current X,Y plane. If you want to place dimensions on a 3D object, you have to move your UCS and set your X,Y plane on the surface of the part you want to dimension. In the image below, you can see that I set my UCS on the top face of the block in order to place my dimension.
  16. Yes, you always have to be mindful of the UCS in Autocad. And I keep forgetting that you're using 2007. Newer versions are a little more forgiving.
  17. OK to show you I'm not crazy. Here is a pic of a object I extruded only 1.080" but when I go to check it I get this: I go to 3d view and I get this: But I told it to dimension from the endpoint of the corner to the top of the extruded object.
  18. No problem, glad I could help.
  19. Exactly this! Now I can adapt to my need. Thank you dlanorh.
  20. Not sure how you want to use it, but try this. It includes constant attributes that have no prompt string. (defun c:getblkpmpts ( / ent bname elst typ lst msg) (while (not ent) (setq bname (getstring "\nEnter Block Name ")) (if (tblsearch "block" bname) (setq ent (tblobjname "block" bname))) ) (setq elst (entget ent) typ (cdr (assoc 0 elst)) msg "") (while ent (if (= typ "ATTDEF") (setq lst (cons (list (cdr (assoc 2 elst)) (cdr (assoc 3 elst))) lst))) (setq ent (entnext ent)) (if ent (setq elst (entget ent) typ (cdr (assoc 0 elst)))) ) (foreach x (reverse lst) (setq msg (strcat msg "TAG : " (car x) "\U+0009 Prompt : " (cadr x) "\n"))) (alert msg) (princ) )
  21. jim78b

    DWG slow save after a little

    thanks very much you are a genius! thanks to all !!! but is this the cause of slow savings?
  22. Ask anyone who knows me, and they’ll confirm I’m a big fan of AutoCAD’s Express Tools. Not only are they major time savers, but they also serve as inspiration for this AutoLISP coder. I’ve written about numerous tools, but today I’m going to focus on a particular group: the Layout Tools in AutoCAD. There are four tools in the panel (don’t forget to expand the panel to find the last tool). Let’s look at each to see how they may be able to help you. Align Space Have you ever needed to align the position and/or zoom factor of a Layout Viewport object (in Model Space) to another object in Paper Space? Chances are you have, and you quickly dismissed the “eyeball” method and started creating your own workflow. If so, Align Space is for you. It’s easy to use…it will ask for one or two points in Model Space (the viewport), the one or two points in Paper Space, and align the points selected. As an example, the top and bottom quadrant points are selected in Model Space. Then the defpoint nodes of the dimension are selected, and the circle not only scales between them, but is also aligned to them. Synchronize Viewports The VPSYNC command will allow you to align the views in one or more Layout Viewports with a master Layout Viewport. The synchronized viewports will assume the zoom factor of the “master” viewport. The prompts are easy – first select the master viewport, then any subsequent viewports you want to sync. In our example, the viewport on the left is the master, and we want to make the zoomed-out viewport on the right like the first one. Synchronize Viewports makes this a snap. Merge Layout In the course of our work, views can sometimes be deleted from various layouts, and it may make more sense to combine those layouts into a single version. Merge Layout makes short work of this task. Run it, and you’ll get two dialogs. In the first, specify the layouts you want to merge, and in the second, specify the destination layout. Finally, you’ll be asked if you want to delete the merged layouts. List Viewport Scale Tucked away within the additional tools portion of the Layout Tools ET Panel is List VP Scale. I can hear you out there… “All I have to do is select the viewport and the scale appears in the status bar. What would I use this for?” True, but have you ever needed to quickly know the inverse of the viewports scale? Do you not remember the math? Can’t find that chart you used to live by or your old sliding card calculator thing? Let’s say your viewport is a tidy 1/8” = 1’-0”. Use this function and it will report the scale as PS:MS == 1:96. Oh yeah, the inverse of an 1/8” scale drawing is 96. Thanks, Frank! All Aboard the Layout Express Today I focused on the Layout panel of the Express Tools. Perhaps one of these can help you in your day to day work. I’ve written about them before, but I also encourage you to check out any of the other panels. See what’s there, perhaps you’ll find one that’s a game changer for you. More Tuesday Tips Check out our whole Tuesday Tips series for ideas on how to make AutoCAD work for you. Do you have any favorite AutoCAD tips? Tell us in the comments!
  23. I think I got it @steven-g and @Cad64 I guess I got the UCS outta whack. I typed "plan" at the command and then selected "world". seems to have corrected it. Just think of what was happening as if Cad64 had went to extrude the pegs in the middle and they went the wrong way. Hope that cleared it up.
  24. That's exactly what I was just going to say. It's difficult to troubleshoot this sort of thing when we can't see what you're doing. If you could provide images or video, that would really help.
  25. It would be agreat help if you can show exactly what you are trying (including drawing the part) which commands are you using and any other information, something like the images above from @Cad64 or even better a video, for example using chromecast which is designed just for type of thing as it captures all your commands and movements and it's free.
  26. "Extrude direction is parallel to plane of sweep curve." What does that mean?
  27. I will try explain better, I have a block in other DWG, this block have attributes. So I will use the Lee Mac steal from DWG to get this block to my present DWG. the Block is now in the list of blocks here: If you insert the block in the Model/Paperspace and double click show the "Attribute Editor" Now I can get the list of Tags and values from the block inserted, my questions are: 1- How I get the list of Prompts? 2-The suggestion of BIGAL works I inserted the block in coordinates 0,0 then extract that informations (only the Prompts I didn't get), but is possible to get the list of Tag, Prompt and Value without insert the block in Model/Paperspace?
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...